{% extends 'index.html' %}
{% load static %}

{% block page %}
<div class="report-preview deactive" id="report-preview">
    <div class="report-preview__first active" v-if="pageNotFound == false">
        <div class="report-preview__block">
            <div class="title">
                Введите VIN или ссылку объявления

                <div id="more-text-here1"></div>
                <div id="more-text-here2"></div>
                <span>
                    <sup>*</sup> ссылка из auto.ru, avito, drom
                </span>
                <div>
                    <label>
                        <input type="text" class="report-preview__input" v-model="querySearch" v-on:keyup.enter="searchRequest">
                        <a href="#" @click="searchRequest" class="report-preview__butt">Получить отчет</a>
                    </label>
                </div>
            </div>
        </div>
        <div class="report-preview__block info" v-if="auto != null">
            <div class="text">
              Обратите внимание, что данный данный автомобиль проверялся <b v-if="auto.modified">${auto.modified}</b><b v-else>${auto.created}</b> Состояние автомобиля на данный момент может отличатся от указанного в отчете. Чтобы выяснить состояние на данный момент, рекомендуем
                <a class="order-selection" href="https://xn----7sbecl2dbcfoo.xn--p1ai#openRequest">обратиться к автоэкспертам.</a>
            </div>
        </div>
        <div class="report-preview__block" v-if="auto != null">
                    <div class="date">
                        ${auto.created}.
                    </div>
        <div class="report-preview__top">
            <div class="title">
                ${auto.auto.name}
            </div>
            <a class="report-preview__butt open-buy-popup" href="#">Купить отчет за 200 ₽</a>
        </div>
        <div class="report-preview__bottom"  v-if="auto != null">
        <table class="report-preview__table">
            <tr v-if="auto.auto.year_auto != null">
                <td class="report-preview__table-title">
                    Год выпуска:
                </td>
                <td>
                    ${auto.auto.year_auto.year}
                </td>
            </tr>
            <tr v-if="auto.auto.vin != null">
                <td class="report-preview__table-title">
                    VIN:
                </td>
                <td>
                    ${auto.auto.vin}
                </td>
            </tr>
            <tr v-if="auto.auto.body_type_auto.name != null">
                <td class="report-preview__table-title">
                    Кузов:
                </td>
                <td>
                    ${auto.auto.body_type_auto.name}
                </td>
            </tr>
            <tr v-if="auto.auto.color_auto != null">
                <td class="report-preview__table-title">
                    Цвет:
                </td>
                <td>
                    ${auto.auto.color_auto}
                </td>
            </tr>
            <tr v-if="auto.auto.engine_capacity != null">
                <td class="report-preview__table-title">
                    Двигатель:
                </td>
                <td>
                    ${auto.auto.engine_capacity} / ${auto.auto.engine_type}
                </td>
            </tr>
            <tr v-if="auto.auto.transmission_type != null">
                <td class="report-preview__table-title">
                    Трансмиссия:
                </td>
                <td>
                    ${auto.auto.transmission_type}
                </td>
            </tr>
            <tr v-if="auto.auto.drive_type != null">
                <td class="report-preview__table-title">
                    Привод:
                </td>
                <td>
                    ${auto.auto.drive_type}
                </td>
            </tr>
            <tr v-if="auto.auto.salon_auto != null">
                <td class="report-preview__table-title">
                    Салон:
                </td>
                <td>
                    ${auto.auto.salon_auto}
                </td>
            </tr>
            <tr v-if="auto.auto.color_salon != null">
                <td class="report-preview__table-title">
                    Цвет салон:
                </td>
                <td>
                    ${auto.auto.color_salon}
                </td>
            </tr>
        </table>
            <div class="report-preview__img" v-if="auto.auto.image != null">
                <img :src="auto.auto.image" alt="">
                <p v-if="auto.photos_count >= 2">И еще ${auto.photos_count} фото автомобиля</p>
            </div>
        </div>

        <div class="report-preview__available"  v-if="auto != null">
            <h2>Доступные разделы:</h2>

            <ul class="report-preview__available-list">
                <li v-if="auto.general_information">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-1.svg" alt="">
                    </div>
                    <div class="preview__available-test">Общая информация</div>
                </li>
                <li v-if="auto.electronics_and_security">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-2.svg" alt="">
                    </div>
                    <div class="preview__available-test">Электрика и безопасность/ отопление и вентиляция</div>
                </li>
                <li v-if="auto.legal_audit">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-3.svg" alt="">
                    </div>
                    <div class="preview__available-test">Юридическая проверка</div>
                </li>
                <li  v-if="auto.salon">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-4.svg" alt="">
                    </div>
                    <div class="preview__available-test">Состояние салона</div>
                </li>
                <li v-if="auto.body_car">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-5.svg" alt="">
                    </div>
                    <div class="preview__available-test">Кузов</div>
                </li>
                <li v-if="auto.plates_and_markings_vin">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-6.svg" alt="">
                    </div>
                    <div class="preview__available-test">Таблички и маркировки VIN</div>
                </li>
                <li  v-if="auto.engine_and_transmission">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-7.svg" alt="">
                    </div>
                    <div class="preview__available-test">Двигатель и трансмиссия</div>
                </li>
                <li v-if="auto.lift_inspection">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-8.svg" alt="">
                    </div>
                    <div class="preview__available-test">Осмотр на подъемнике</div>
                </li>
                <li v-if="auto.steering">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-9.svg" alt="">
                    </div>
                    <div class="preview__available-test">Рулевое управление, подвеска и тормозная система</div>
                </li>
                <li v-if="auto.optional_equipment">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-10.svg" alt="">
                    </div>
                    <div class="preview__available-test">Дополнительное оборудование</div>
                </li>
                <li v-if="auto.computer_diagnostics">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-11.svg" alt="">
                    </div>
                    <div class="preview__available-test">Компьютерная диагностика</div>
                </li>
                <li v-if="auto.expert_opinion">
                    <div class="preview__available-img">
                        <img src="/static/img/assets/preview/pr-12.svg" alt="">
                    </div>
                    <div class="preview__available-test">Заключение эксперта</div>
                </li>
            </ul>
        </div>
    </div>
    </div>
    <div class="report-preview__two">
        <div class="report-preview__block sms">
        <div class="title">
            Мы пришлем ссылку на отчет в SMS
            <span>
                  Для получения отчета введите номер телефона
            </span>
            <div>
                <label>
                    <input type="text" class="report-preview__input" placeholder="Номер телефона">
                    <a href="#" class="report-preview__butt popup-enter">Получить отчет</a>
                </label>
            </div>
        </div>
    </div>
    </div>
    <div class="report-preview__tree" v-if="pageNotFound == true">
        <div class="report-preview__block">
            <div class="title">
                Введите VIN или ссылку объявления
                <span>
                    <sup>*</sup> ссылка из auto.ru, avito, drom
                </span>
                <div>
                    <label>
                        <input type="text" class="report-preview__input" v-model="querySearch" v-on:keyup.enter="searchRequest">
<!--                         <input type="submit" class="report-preview__butt" href="#" value="Получить отчет">-->
                        <a href="#" @click="searchRequest" class="report-preview__butt">Получить отчет</a>
                    </label>
                </div>
            </div>
        </div>
        <div class="report-preview__404">
            <div class="report-preview__404-title">
                К сожалению, никто не заказывал осмотр этого автомобиля
            </div>
            <div class="report-preview__404-img">
                <svg width="234" height="234" viewBox="0 0 234 234" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <g clip-path="url(#clip0)">
                        <path d="M75.7318 101.161C75.7318 101.161 86.4496 90.0549 119.658 88.6111C147.424 89.9439 151.811 101.161 151.811 101.161H75.7318Z"
                              fill="#F8CE4C"/>
                        <path fill-rule="evenodd" clip-rule="evenodd"
                              d="M119.537 85.8371C119.622 85.8334 119.707 85.8336 119.791 85.8377C134.033 86.5213 142.582 89.7548 147.661 93.0585C150.2 94.7097 151.841 96.3594 152.873 97.6693C153.388 98.3223 153.746 98.8854 153.988 99.3145C154.109 99.5288 154.2 99.7094 154.267 99.8505C154.3 99.9211 154.327 99.9818 154.349 100.032L154.377 100.099L154.388 100.127L154.393 100.139L154.395 100.145C154.396 100.147 154.397 100.15 151.811 101.161L154.397 100.15C154.732 101.005 154.622 101.969 154.105 102.727C153.587 103.485 152.729 103.938 151.811 103.938H75.7318C74.6177 103.938 73.6115 103.272 73.1761 102.247C72.7406 101.221 72.9602 100.035 73.7338 99.2334L75.7318 101.161C73.7338 99.2334 73.7352 99.2319 73.7367 99.2304L73.7398 99.2271L73.7469 99.2198L73.7642 99.2022L73.811 99.1554C73.8478 99.119 73.8956 99.0726 73.9549 99.0166C74.0736 98.9047 74.238 98.7549 74.4511 98.5724C74.8774 98.2074 75.498 97.7118 76.3358 97.1269C78.0123 95.9564 80.5528 94.432 84.1386 92.8796C91.3142 89.7731 102.634 86.572 119.537 85.8371ZM85.4245 98.3848C85.7216 98.2493 86.0283 98.1129 86.3449 97.9758C92.8134 95.1754 103.418 92.11 119.652 91.3907C133.096 92.0527 140.59 95.0836 144.633 97.7136C144.982 97.9403 145.305 98.1646 145.606 98.3848H85.4245Z"
                              fill="#F8CE4C"/>
                        <path fill-rule="evenodd" clip-rule="evenodd"
                              d="M123.244 76.0311C111.717 75.2424 100.154 76.896 89.3107 80.8838L25.2713 104.358C20.9787 106.032 17.3019 108.982 14.7364 112.811C12.1659 116.646 10.8353 121.179 10.924 125.795C11.0891 131.492 13.3541 136.926 17.2839 141.054C21.2188 145.188 26.5443 147.718 32.2341 148.158C35.2919 148.395 37.579 151.066 37.3425 154.123C37.106 157.181 34.4353 159.468 31.3775 159.232C22.9522 158.58 15.0664 154.833 9.23975 148.713C3.4131 142.592 0.058045 134.532 -0.178812 126.084L-0.180034 126.041C-0.319335 119.139 1.66721 112.362 5.50995 106.628C9.35268 100.893 14.8659 96.4794 21.302 93.9843L21.3981 93.9481L85.4771 70.4599C85.478 70.4596 85.4763 70.4602 85.4771 70.4599C97.7872 65.9331 110.917 64.0551 124.002 64.9505C137.045 65.843 149.754 69.4702 161.303 75.5955C164.13 76.934 167.04 78.0885 170.015 79.0516C172.933 79.9961 174.533 83.1272 173.588 86.0451C172.644 88.963 169.513 90.5628 166.595 89.6183C163.12 88.4935 159.722 87.1424 156.424 85.5737C156.348 85.5378 156.274 85.5002 156.2 85.461C146.001 80.0332 134.771 76.8199 123.244 76.0311Z"
                              fill="#4A4A4A"/>
                        <path fill-rule="evenodd" clip-rule="evenodd"
                              d="M94.7797 153.806C94.7797 150.739 97.2659 148.253 100.333 148.253H139.539C142.606 148.253 145.092 150.739 145.092 153.806C145.092 156.873 142.606 159.36 139.539 159.36H100.333C97.2659 159.36 94.7797 156.873 94.7797 153.806Z"
                              fill="#4A4A4A"/>
                        <path d="M64.2926 169.022C76.5606 169.022 86.5057 159.077 86.5057 146.809C86.5057 134.541 76.5606 124.596 64.2926 124.596C52.0247 124.596 42.0796 134.541 42.0796 146.809C42.0796 159.077 52.0247 169.022 64.2926 169.022Z"
                              fill="#F8CE4C"/>
                        <path d="M195.238 164.357C213.579 164.357 228.447 149.489 228.447 131.149C228.447 112.808 213.579 97.9402 195.238 97.9402C176.898 97.9402 162.03 112.808 162.03 131.149C162.03 149.489 176.898 164.357 195.238 164.357Z"
                              fill="#F8CE4C"/>
                        <path fill-rule="evenodd" clip-rule="evenodd"
                              d="M195.2 103.129C179.926 103.129 167.545 115.511 167.545 130.784C167.545 146.058 179.926 158.439 195.2 158.439C210.473 158.439 222.855 146.058 222.855 130.784C222.855 115.511 210.473 103.129 195.2 103.129ZM156.438 130.784C156.438 109.377 173.792 92.0225 195.2 92.0225C216.607 92.0225 233.962 109.377 233.962 130.784C233.962 152.192 216.607 169.546 195.2 169.546C173.792 169.546 156.438 152.192 156.438 130.784Z"
                              fill="#F8CE4C"/>
                        <ellipse cx="195.219" cy="130.803" rx="24.3202" ry="24.3202" stroke="#4A4A4A" stroke-width="7"/>
                        <path d="M177.472 113.056L212.309 147.893" stroke="#4A4A4A" stroke-width="7"/>
                    </g>
                    <defs>
                        <clipPath id="clip0">
                            <rect width="234" height="234" fill="white"/>
                        </clipPath>
                    </defs>
                </svg>
            </div>
            <div class="report-preview__404-text">
                Вы можете стать первым
            </div>
            <a class="report-preview__butt order-selection" href="https://xn----7sbecl2dbcfoo.xn--p1ai#openRequest" target="_blank">Заказать осмотр</a>
        </div>
    </div>
    <div class="pop-up__order">
        <div class="pop-up__order-bck"></div>
        <div class="pop-up__order-block">
            <div class="pop-up__order-close">
                <svg width="23" height="23" viewBox="0 0 23 23" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M23 2.3L20.7 0L11.5 9.2L2.3 0L0 2.3L9.2 11.5L0 20.7L2.3 23L11.5 13.8L20.7 23L23 20.7L13.8 11.5L23 2.3Z" fill="#EFB23E"/>
                </svg>
            </div>
            <form action="">
                <div class="pop-up__order-title">
                    Оставьте заявку на осмотр этого автомобиля
                </div>
                <div class="pop-up__order-label">
                    <input class="pop-up__order-input" type="text" placeholder="Имя">
                </div>
                <div class="pop-up__order-label">
                    <input class="pop-up__order-input" type="tel" placeholder="Телефон">
                </div>
                <div class="pop-up__order-label">
                    <input type="submit" class="report-preview__butt" value="Отправить">
                </div>
                <div class="pop-up__order-text">
                    Нажимая кнопку «Отправить» вы соглашаетесь с <a href="#">Политикой конфиденциальности</a>
                </div>
            </form>
        </div>
    </div>
    <div class="pop-up__enter">
        <div class="pop-up__order-bck"></div>
        <div class="pop-up__order-block">
            <div class="pop-up__order-close">
                <svg width="23" height="23" viewBox="0 0 23 23" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M23 2.3L20.7 0L11.5 9.2L2.3 0L0 2.3L9.2 11.5L0 20.7L2.3 23L11.5 13.8L20.7 23L23 20.7L13.8 11.5L23 2.3Z" fill="#EFB23E"/>
                </svg>
            </div>

        <form class="login" method="POST" action="{% url 'account_login' %}">
            {% csrf_token %}
            <div class="fieldset fieldset_login">
                <div class="fieldset__item">
                    <div class="field pop-up__order-label">
                        <label class="field__label label label_center label_float label_s" for="id_login">Телефон:</label>
                        <div class="field__control control_default control control_m control_center">
                            <div class="flag">
                                <ul class="flag-list">
                                   <li class="flag-item">
                                       <span data--tel-code="+7(999)9999999" data--tel-country="ru"><i class="flags ru"></i>+7...</span>
                                   </li>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+3(759)9999999" data--tel-country="by"><i class="flags by"></i>+375...</span>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+7(699)9999999" data--tel-country="kz"><i class="flags kz"></i>+76...</span>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+9(989)9999999" data--tel-country="uz"><i class="flags uz"></i>+998...</span>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+3(809)9999999" data--tel-country="ua"><i class="flags ua"></i>+380...</span>
                                   </li>
                                </ul>
                            </div>
                            <div class="flag-btn"><i class="flags ru"></i></div>
                            <input type="tel" v-model='enterFormData.phoneNumber' class="pop-up__order-input popup-input__reg-tel id_phone" name="login" maxlength="150" required id="id_login" autofocus="autofocus" />
                        </div>
                    </div>
                </div>
                <div class="fieldset__item">
                    <div class="field">
                        <label class="field__label label label_center label_float label_s" for="id_password">Пароль:</label>
                        <div class="field__control control_default control control_m control_center">
                            <input type="password" v-model='enterFormData.password' name="password" required id="id_password" />
                        </div>
                    </div>
                </div>

                <div class="fieldset__item">
                    {% if login_error %}
                    <label class="error">{{ login_error }}</label> {% endif %}
                </div>
                <div class="fieldset__item">
                    <label class="check check_m check_default" for="id_remember">
                        <input type="checkbox" name="remember" id="id_remember" />
                        <div class="check__icon"></div>
                        <div class="check__content">
                            <div class="check__title fs_xs">Запомнить меня</div>
                        </div>
                    </label>
                </div>
                {% if redirect_field_value %}
                <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" /> {% endif %}
                <div class="fieldset__item">
                    {% if login_error %}
                    <label class="error">
                        {{ login_error }}
                    </label>
                    {% endif %}
                </div>
                <div class="fieldset__item">
                    <button type="submit" class="form__btn btn btn_primary btn_m btn_block">
                  <div class="btn__grid">
                    <div class="btn__title">Войти</div>
                  </div>
                </button>
                </div>
                {% if form.errors %}
                <div class="fieldset__item">
                    <div class="msg msg_error ta_center p_s">
                        <div class="fs_s">Неправильный логин или пароль</div>
                    </div>
                </div>
                {% endif %}
                <div class="pop-up__order-text">
                     <a href="/user/reset-password/" target="_blank
">Забыли пароль?</a>
                </div>
                <div class="pop-up__order-text">
                    Нет аккаунта?  <a href="#" class="popup-register">Зарегистрируйтесь</a>
                </div>
            </div>
        </form>
        </div>
    </div>
    <div class="pop-up__register">
        <div class="pop-up__order-bck"></div>
        <div class="pop-up__order-block">
            <div class="pop-up__order-close">
                <svg width="23" height="23" viewBox="0 0 23 23" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M23 2.3L20.7 0L11.5 9.2L2.3 0L0 2.3L9.2 11.5L0 20.7L2.3 23L11.5 13.8L20.7 23L23 20.7L13.8 11.5L23 2.3Z" fill="#EFB23E"/>
                </svg>
            </div>
            <div class="register-form">
                <div class="pop-up__order-title">
                    Регистрация
                </div>
                <div class="pop-up__order-label">
                    <div class="flag">
                        <ul class="flag-list">
                           <li class="flag-item">
                               <span data--tel-code="+7(999)9999999" data--tel-country="ru"><i class="flags ru"></i>+7...</span>
                           </li>
                           <li class="flag-item">
                               <span data--tel-code="+3(759)9999999" data--tel-country="by"><i class="flags by"></i>+375...</span>
                           </li>
                           <li class="flag-item">
                               <span data--tel-code="+7(699)9999999" data--tel-country="kz"><i class="flags kz"></i>+76...</span>
                           </li>
                           <li class="flag-item">
                               <span data--tel-code="+9(989)9999999" data--tel-country="uz"><i class="flags uz"></i>+998...</span>
                           </li>
                           <li class="flag-item">
                               <span data--tel-code="+3(809)9999999" data--tel-country="ua"><i class="flags ua"></i>+380...</span>
                           </li>
                        </ul>
                    </div>
                    <div class="flag-btn"><i class="flags ru"></i></div>
                    <input class="pop-up__order-input popup-input__reg-tel id_phone" v-model='RegistrationFormData.phoneNumber' type="tel" placeholder="Телефон">

                </div>
                <div class="pop-up__order-label">
                    <input class="pop-up__order-input popup-input__reg-pass" v-model='RegistrationFormData.password' type="password" placeholder="Пароль">
                </div>
                <div class="pop-up__order-label">
                    <input class="pop-up__order-input popup-input__reg-pass2" v-model='RegistrationFormData.passwordRepeat' type="password" placeholder="Повторите пароль">
                </div>
                <div class="errors"
                    v-if="errorRequestMessage">
                    <span
                            class="pop-up__order-error-request"
                            v-for="(item, index) in errorRequestMessage.password2">
                        <span>
                            ${item}
                        </span>
                    </span>
                    <span
                            class="pop-up__order-error-request"
                            v-for="(item, index) in errorRequestMessage.phone">
                        <span>
                            ${item}
                        </span>
                    </span>
                </div>
                <div class="pop-up__order-label">
                    <input type="submit" @click="registartionForm" class="report-preview__butt" value="Зарегистрироваться">
                </div>
                <div class="pop-up__order-text">
                    Нажимая кнопку «Зарегистрироваться» вы соглашаетесь с <a href="#">Политикой конфиденциальности</a>
                </div>
                <div class="pop-up__order-text">
                     Уже есть аккаунт? <a href="#" class="popup-enter">Войдите</a>
                </div>
            </div>
        </div>
    </div>
    <div class="pop-up__payment">
        <div class="pop-up__order-bck"></div>
        <div class="pop-up__order-block">
            <div class="pop-up__order-close">
                <svg width="23" height="23" viewBox="0 0 23 23" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M23 2.3L20.7 0L11.5 9.2L2.3 0L0 2.3L9.2 11.5L0 20.7L2.3 23L11.5 13.8L20.7 23L23 20.7L13.8 11.5L23 2.3Z" fill="#EFB23E"/>
                </svg>
            </div>
            <form  action="/report/get-pay-report-url/" class="js-form-purchase-tag payment-form" method="POST">
                <input type="hidden" name="recaptcha" value="">
                <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                <div v-if="auto != null">
                    <input type="hidden" name="report-id" v-model="auto.id">
                </div>
                <div class="pop-up__order-title">
                    Для получения отчета - введите свой телефон
                </div>
                <div class="pop-up__order-label">
                    <input class="pop-up__order-input" type="tel" name="phone" placeholder="Телефон">
                </div>
                <div class="pop-up__order-label">
                    <input type="submit"  class="report-preview__butt" value="Получить отчет">
                </div>
            </form>
        </div>
    </div>


</div>
<script>
    $(document).ready(function () {
        $('.butt__404').on('click',function (e) {
            e.preventDefault();
            $('.report-preview__first').removeClass('active');
            $('.report-preview__tree').addClass('active');
        });
        $('.order-selection').on('click',function () {
            $('.pop-up__order').addClass('open');
        });
        $('.popup-enter').on('click',function () {
            $('.pop-up__enter').addClass('open');
            $('.pop-up__register').removeClass('open');
        });
        $('.popup-register').on('click',function () {
            $('.pop-up__register').addClass('open');
            $('.pop-up__enter').removeClass('open');
        });
        $('.pop-up__order-bck').on('click',function () {
            $('.pop-up__order').removeClass('open');
            $('.pop-up__enter').removeClass('open');
            $('.pop-up__register').removeClass('open');
        });
        $('.pop-up__order-close').on('click',function () {
            $('.pop-up__order').removeClass('open');
            $('.pop-up__enter').removeClass('open');
            $('.pop-up__register').removeClass('open');
        });
        $('span.enter-item-butt').on('click',function () {
            $('.pop-up__enter').addClass('open');
            $('.pop-up__register').removeClass('open');
        })

       $('.id_phone').mask('+7(999)9999999');

            $('.flag-item').on('click', function () {
                let thisSpan = $(this).find('span');
                let maskType = thisSpan.attr('data--tel-code');
                $('.id_phone').unmask();
                $('.id_phone').val(' ');
                $(this).closest('.field').addClass('field_filled')
                $('.id_phone').mask(maskType);
                $('.flag').removeClass('open');
                $('.flag-btn i').removeClass();
                let flagCountry = thisSpan.attr('data--tel-country');
                $('.flag-btn i').addClass('flags');
                $('.flag-btn i').addClass(flagCountry);
            })
            $('.flag-btn').on('click', function () {
                $('.flag').addClass('open');
            })

            $('body').on('click', '.open-buy-popup', function (e) {
                e.preventDefault();
                $('.pop-up__payment').addClass('open');
            });
            $('body').on('click', '.pop-up__order-close', function (e) {
                e.preventDefault();
                $('.pop-up__payment').removeClass('open');
            });
            $('.js-form-purchase-tag').submit(function (e) {
                e.preventDefault();

                var form = $(this);
                var action = form.attr('action');
                form.find('button').prop('disabled', true)
                var formData = new FormData(form[0])

                $.ajax({
                  url: action,
                  method: 'POST',
                  data: formData,
                  cache: false,
                  contentType: false,
                  processData: false,
                  success: function (data) {
                      grecaptcha.execute(recaptcha_site_key, {action: 'submit'}).then(function(token) {
                          $('form input[name=recaptcha]').val(token);
                      });
                      if (data.message == 'ok') {
                          if (data.url) {
                              var win = window.open(data.url, '_blank');
                              win.focus();
                          }
                      }
                      form.trigger("reset");
                      form.find('button').prop('disabled', false)
                  },
                  error: function (error) {
                      grecaptcha.execute(recaptcha_site_key, {action: 'submit'}).then(function(token) {
                          $('form input[name=recaptcha]').val(token);
                      });
                      console.log(error);
                      form.find('button').prop('disabled', false)
                      form.trigger("reset");
                  }
                });
            })
    });

</script>
<style>
    .enter-item-popup{
        display: flex;
    }
    .enter-item{
        display: none;
    }
</style>


  <script src="{% static 'js/reportpreview.bundle.js' %}"></script>
{% endblock %}
